#if !defined(AFX_CHANGEPASSWORDDLG_H__1D338532_97D9_430D_B0C8_A8C9F2164C15__INCLUDED_)
#define AFX_CHANGEPASSWORDDLG_H__1D338532_97D9_430D_B0C8_A8C9F2164C15__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ChangePasswordDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CChangePasswordDlg dialog
#include "resource.h"
#include "apl_api.h"
#include "SecurityPasswordDlg.h"
#include "afxwin.h"

class CChangePasswordDlg : public CaplTranslateDialog
{
// Construction
protected:
	bool		m_bAdmin;
	CaplAPI		*m_api;
public:
	CChangePasswordDlg(bool bAdmin, CaplAPI *api, CWnd* pParent = NULL);   // standard constructor
	~CChangePasswordDlg();

private:

	CSecuritySettings m_cSecurity;

public:
	CaplInstance* m_pUser;
// Dialog Data
	//{{AFX_DATA(CChangePasswordDlg)
	enum { IDD = IDD_CHANGE_PASSWORD };
	CaplButton	m_ok_btn;
	CaplButton	m_cancel_btn;
	CaplButton  m_reset_btn;
	CaplButton m_set_security_btn;
	CEdit m_new_pass_ctrl;
	CEdit m_new_pass2_ctrl;
	CEdit m_old_pass_ctrl;
	CStatic m_st_ico_correct;
	CStatic m_st_ico_correct2;
	//}}AFX_DATA

	// Проверить пароль на удовлетворение параметрам сложности
	bool CheckPassword(const CString& sPassword) const;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChangePasswordDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SetCorrectIcon();

	// Generated message map functions
	//{{AFX_MSG(CChangePasswordDlg)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedResetPassword();
	afx_msg void OnBnSetSecurity();
	afx_msg void OnEnChangeNewPass();
	afx_msg void OnEnChangeNewPass2();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHANGEPASSWORDDLG_H__1D338532_97D9_430D_B0C8_A8C9F2164C15__INCLUDED_)
